%global shortname common

%global submodule_util zanata-%{shortname}-util
%global submodule_po zanata-adapter-po
%global submodule_properties zanata-adapter-properties
%global submodule_xliff zanata-adapter-xliff
%global submodule_glossary zanata-adapter-glossary
%global findbugs_ver 3.0.0
%global zanata_parent_verrel 28-3
%global zanata_api_verrel 3.9.1-3

Name:           zanata-%{shortname}
Version:        3.9.1
Release:        2%{?dist}
Summary:        Zanata common modules

Group:          Development/Libraries
License:        LGPLv2+
URL:            https://github.com/zanata/%{name}
Source0:        https://github.com/zanata/%{name}/archive/%{shortname}-%{version}.zip

BuildArch:      noarch

BuildRequires:  apache-commons-codec
BuildRequires:  apache-commons-io
BuildRequires:  findbugs
BuildRequires:  guava
BuildRequires:  jackson
BuildRequires:  jboss-parent
BuildRequires:  jgettext
BuildRequires:  maven-local
BuildRequires:  mvn(net.sourceforge.findbugs:annotations)
#BuildRequires:  mvn(org.jboss.resteasy:resteasy-bom:pom:)
BuildRequires:  opencsv
BuildRequires:  openprops
BuildRequires:  xom >= 1.0-15
BuildRequires:  zanata-parent >= %{zanata_parent_verrel}
BuildRequires:  zanata-api >= %{zanata_api_verrel}

%if 0%{?fedora} >= 22
BuildRequires:  hamcrest >= 1.3
Requires:       hamcrest >= 1.3
%endif

Requires:       apache-commons-codec
Requires:       apache-commons-io
Requires:       guava
Requires:       jackson
Requires:       jgettext
Requires:       opencsv
Requires:       openprops
Requires:       slf4j
Requires:       xom >= 1.0-15
Requires:       zanata-api >= %{zanata_api_verrel}

%description
Zanata common modules


%package javadoc
Summary:        Javadocs for %{name}
Group:          Documentation
Requires:       jpackage-utils
Requires:       %{name} = %{version}-%{release}

%description javadoc
This package contains the API documentation for %{shortname}.
This includes submodules:
%{submodule_util},
%{submodule_po},
%{submodule_properties},
%{submodule_xliff} and %{submodule_glossary}

%prep
%setup -q -n %{name}-%{shortname}-%{version}
%pom_remove_dep com.google.code.findbugs:annotations %{submodule_util}
%pom_xpath_inject "pom:dependencies" "<dependency><groupId>net.sourceforge.findbugs</groupId><artifactId>annotations</artifactId><version>2.0.2</version></dependency>" %{submodule_util}

# Required for F23 and lower
%pom_xpath_set 'pom:dependencies/pom:dependency[pom:groupId="com.io7m.xom"]/pom:groupId' "xom" %{submodule_util}

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%doc README.txt COPYING.LESSER COPYING.GPL

%files javadoc -f .mfiles-javadoc


%changelog
* Tue Aug 02 2016 Ding-Yi Chen <dchen@redhat.com> 3.9.1-2
- Use resteasy client instead of resteasy

* Thu Jun 23 2016 Ding-Yi Chen <dchen@redhat.com> 3.9.1-1
- Upstream update to version 3.9.1
- Add BuildRequires findbugs and mvn(org.jboss.resteasy:resteasy-bom:pom:)

* Tue Apr 19 2016 Ding-Yi Chen <dchen@redhat.com> 3.8.3-1
- Upgrade to upstream version 3.8.3

* Fri Feb 05 2016 Fedora Release Engineering <releng@fedoraproject.org> - 3.8.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Fri Nov 20 2015 Ding-Yi Chen <dchen@redhat.com> 3.8.1-1
- Upgrade to upstream version 3.8.1

* Fri Jul 03 2015 Ding-Yi Chen <dchen@redhat.com> 3.7.2-1
- Upgrade to upstream version 3.7.2

* Fri Jun 19 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.3.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Mon Jul 28 2014 Patrick Huang <pahuang@redhat.com> - 3.3.0-4
- Bump up release number

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.3.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Mon Jun 02 2014 Patrick Huang <pahuang@redhat.com> - 3.3.0-1
- Upgrade to latest upstream version

* Fri Mar 28 2014 Michael Simacek <msimacek@redhat.com> - 3.1.0-6
- Use Requires: java-headless rebuild (#1067528)

* Wed Jan 29 2014 Patrick Huang <pahuang@redhat.com> 3.1.0-5
- require xom greater than specific version

* Wed Jan 29 2014 Patrick Huang <pahuang@redhat.com> 3.1.0-4
- rebuild for xom fix

* Mon Jan 20 2014 Patrick Huang <pahuang@redhat.com> 3.1.0-3
- Explicit listing BR and R

* Fri Jan 17 2014 Patrick Huang <pahuang@redhat.com> 3.1.0-2
- Add requires

* Thu Jan 09 2014 Patrick Huang <pahuang@redhat.com> 3.1.0-1
- Latest upstream version

* Wed Sep 4 2013 Patrick Huang <pahuang@redhat.com> 3.0.2-1
- Latest upstream version

* Thu Aug 22 2013 Patrick Huang <pahuang@redhat.com> 3.0.1-1
- Latest upstream version

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri May 3 2013 Patrick Huang <pahuang@redhat.com> 2.2.1-5
- Minor cosmetic change

* Fri May 3 2013 Patrick Huang <pahuang@redhat.com> 2.2.1-4
- Minor cosmetic change

* Fri May 3 2013 Patrick Huang <pahuang@redhat.com> 2.2.1-3
- Remove javadoc subpackage require %{?_isa}
- Change javadoc installation location
- Change license to LGPLv2+

* Wed May 1 2013 Patrick Huang <pahuang@redhat.com> 2.2.1-2
- Add missing pom for f19-

* Tue Mar 19 2013 Patrick Huang <pahuang@redhat.com> 2.2.1-1
- Upstream version update

* Thu Feb 28 2013 Patrick Huang <pahuang@redhat.com> 2.2.0-1
- Upstream version update

* Mon Feb 11 2013 Patrick Huang <pahuang@redhat.com> 2.1.1-1
- Initial RPM package
